import { httpApp } from "@/plugins/axiosApp";
import {
  OnlinePracticeRecord,
  OnlinePracticeRecordResult,
  PracticeExam,
} from "@/types/student-client";

type ExamItem = {
  id: number;
  name: string;
};

/** 获取在线练习考试列表 */
export async function onlinePracticeExamListApi(studentId: number) {
  return httpApp.get<any, { data: ExamItem[] }>(
    `/api/ecs_exam_work/exam/queryByNameLike`,
    {
      params: {
        examTypes: "PRACTICE",
        name: "",
        studentId,
      },
    }
  );
}
/** 获取在线练习考试科目列表 */
export async function onlinePracticeCourseListApi(examId: number) {
  return httpApp.get<any, { data: PracticeExam[] }>(
    `/api/branch_ecs_oe_admin/practice/queryPracticeCourseList`,
    {
      params: {
        examId,
      },
    }
  );
}
/** 获取在线练习考试记录列表 */
export async function onlinePracticeRecordListApi(
  examStudentId: number | string
) {
  return httpApp.get<any, { data: OnlinePracticeRecord[] }>(
    `/api/branch_ecs_oe_admin/practice/queryPracticeRecordList`,
    {
      params: {
        examStudentId,
      },
    }
  );
}

/** 获取在线练习考试成绩报告 */
export async function onlinePracticeRecordDetailApi(
  examRecordDataId: number | string
) {
  return httpApp.get<any, { data: OnlinePracticeRecordResult }>(
    `/api/branch_ecs_oe_admin/practice/getPracticeDetailInfo`,
    {
      params: {
        examRecordDataId,
      },
    }
  );
}
